application/json

Body

  • channelLinkId string Required
  • deliveryLocations object Required
  • deliveryLocations.deliveryTime string
  • coordinates array Required
  • street string Required
  • streetNumber string Required
  • city string Required
  • postalCode string Required

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • channelLinkId string Required
    • deliveryLocations object Required
    • deliveryLocations.deliveryTime string
    • coordinates array Required
    • street string Required
    • streetNumber string Required
    • city string Required
    • postalCode string Required
POST /fulfillment/validate
curl \
 --request POST 'https://api.staging.deliverect.com/fulfillment/validate' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"channelLinkId":"61bcc34f657cc48c23eb60d5","deliveryLocations":{"city":"customer city","name":"None","phone":"None","street":"customer street and number","country":"customer country","postalCode":"postal code","coordinates":{"coordinates":[-113,-113]},"packageSize":"unknown","deliveryTime":"2024-10-17T10:00:00Z"}}'
Request examples
{
  "channelLinkId": "61bcc34f657cc48c23eb60d5",
  "deliveryLocations": {
    "city": "customer city",
    "name": "None",
    "phone": "None",
    "street": "customer street and number",
    "country": "customer country",
    "postalCode": "postal code",
    "coordinates": {
      "coordinates": [
        -113,
        -113
      ]
    },
    "packageSize": "unknown",
    "deliveryTime": "2024-10-17T10:00:00Z"
  }
}
Response examples (200)
[
  {
    "price": 0,
    "available": true,
    "expiresAt": "2022-09-06 10:24:25.445709",
    "validationId": "63171d81a8f1fd71d34b5efe",
    "deliveryTimeETA": "2022-08-08 11:00:00"
  }
]